<div ng-controller="MaklumbalasCtrl as $ctrl">
    <md-card>
        <img style="height: 300px !important;"
             ng-src="./app/images/header.jpg"
             class="md-card-image"
             alt="Washed Out">

        <md-card-title style="margin-top: -200px !important;">
            <md-card-title-text>
            <span class="md-headline custom-title">
                <h3>Maklumbalas peserta sesi "Overview of Full-stack Development Technique"</h3></span>
            </md-card-title-text>
        </md-card-title>

        <md-card-content>
            <md-content layout-padding class="md-no-momentum md-whiteframe-1dp">
                <nav class="navbar navbar-default navbar-fixed-top" ng-if="$ctrl.viewSurvey">
                    <div class="container">
                        <md-tooltip md-delay="200" md-autohide="true">
                            {{$ctrl.unansweredQuestionNo()}}
                        </md-tooltip>
                        Selesai : {{$ctrl.getAnsweredTotal()}} / {{$ctrl.soalan_array.length}} soalan.
                        <uib-progressbar max="$ctrl.soalan_array.length" value="$ctrl.getAnsweredTotal()"><span
                                style="color:white; white-space:nowrap;">{{$ctrl.getAnsweredTotal()/$ctrl.soalan_array.length*100 | number:0}}%</span>
                        </uib-progressbar>
                        <md-button style="float: right" class="md-raised md-primary"
                                   ng-disabled="$ctrl.soalan_array.length!==$ctrl.getAnsweredTotal() || $ctrl.btnHantarDisable"
                                   ng-click="$ctrl.hantarMaklumBalas()"
                                   ng-mousemove="">
                            Hantar Maklumbalas
                        </md-button>

                    </div>
                </nav>

                <form name="infoform" ng-if="!$ctrl.viewSurvey">
                    <md-input-container class="md-icon-float md-block">
                        <!-- Use floating label instead of placeholder -->
                        <input ng-model="$ctrl.maklumbalas.peserta_id" type="text" required name="peserta_id"
                               placeholder="No Kad Pengenalan">
                        <div ng-messages="infoform.peserta_id.$error">
                            <div ng-message="required">Maklumat diperlukan!</div>
                        </div>
                    </md-input-container>

                    <md-input-container class="md-icon-float md-block">
                        <!-- Use floating label instead of placeholder -->
                        <input ng-model="$ctrl.maklumbalas.peserta_nama" type="text" required name="peserta_nama"
                               placeholder="Nama Peserta">
                        <div ng-messages="infoform.peserta_nama.$error">
                            <div ng-message="required">Maklumat diperlukan!</div>
                        </div>
                    </md-input-container>

                    <md-button class="md-raised md-primary" ng-disabled="infoform.$invalid" ng-click="$ctrl.nextStep()">
                        Mulakan
                    </md-button>

                </form>

                <md-list ng-if="$ctrl.viewSurvey">
                    <md-list-item ng-repeat-start="maklumbalas in $ctrl.soalan_array track by $index" ng-class="{'custom-active':$ctrl.maklumbalas.jawapan_array[$index].jawapan}">
                        <p><b>{{($index+1)}}</b>. {{maklumbalas.soalan}}</p>

                    </md-list-item>
                    <md-list-item ng-repeat-end ng-class="{'custom-active':$ctrl.maklumbalas.jawapan_array[$index].jawapan}">
                        <p>
                            <md-radio-group layout-gt-sm="row" ng-model="$ctrl.maklumbalas.jawapan_array[$index].jawapan">
                                <md-radio-button value="0">Tidak Berkenaan</md-radio-button>
                                <md-radio-button value="1">Sangat Tidak Setuju</md-radio-button>
                                <md-radio-button value="2">Tidak Setuju</md-radio-button>
                                <md-radio-button value="3" class="md-primary">Setuju</md-radio-button>
                                <md-radio-button value="4" class="md-primary">Sangat Setuju</md-radio-button>
                            </md-radio-group>
                        </p>
                        <md-divider></md-divider>
                    </md-list-item>

                    <md-subheader class="md-no-sticky" style="color: #424242;"></md-subheader>
                    <md-list-item>
                        <md-input-container flex class="md-block">
                            <textarea ng-model="$ctrl.maklumbalas.maklumbalas_comment" md-maxlength="150" rows="2" ng-required="false" placeholder="Maklumbalas / Cadangan"></textarea>
                        </md-input-container>
                    </md-list-item>
                </md-list>
            </md-content>

        </md-card-content>
        <!--{{$ctrl.maklumbalas|json}}-->
    </md-card>
</div>